[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [libvirt-glib PATCH] Add vapi dependency to Makefile.am and fix parallel build



From: Nirbheek Chauhan <nirbheek gentoo org>

libvirt-glib-1.0.vapi is needed to generate libvirt-gobject-1.0.vapi

Without an explicit dependency, make -jN fails

Signed-off-by: Nirbheek Chauhan <nirbheek gentoo org>
---
 vapi/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/vapi/Makefile.am b/vapi/Makefile.am
index 0af8f6f..2ecc3e3 100644
--- a/vapi/Makefile.am
+++ b/vapi/Makefile.am
@@ -17,7 +17,7 @@ libvirt-glib-1.0.vapi: $(top_builddir)/libvirt-glib/LibvirtGLib-1.0.gir
 		--library libvirt-glib-1.0	\
 		$<
 
-libvirt-gobject-1.0.vapi: $(top_builddir)/libvirt-gobject/LibvirtGObject-1.0.gir
+libvirt-gobject-1.0.vapi: $(top_builddir)/libvirt-gobject/LibvirtGObject-1.0.gir libvirt-glib-1.0.vapi
 	$(AM_V_GEN)$(VAPIGEN)							 \
 		--vapidir=$(builddir)						 \
 		--pkg gobject-2.0						 \
-- 
1.7.3.4


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]